cURL
curl --request POST \
--url https://api.example.com/v1/admin/plans/{planID}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"durationSeconds": 2,
"prices": [
{
"amountMinor": 1,
"currency": "<string>"
}
],
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"recurringCapable": true,
"gracePeriodSeconds": 0,
"trialEligibility": "new_customer"
}
'import requests
url = "https://api.example.com/v1/admin/plans/{planID}/versions"
payload = {
"durationSeconds": 2,
"prices": [
{
"amountMinor": 1,
"currency": "<string>"
}
],
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"recurringCapable": True,
"gracePeriodSeconds": 0,
"trialEligibility": "new_customer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
durationSeconds: 2,
prices: [{amountMinor: 1, currency: '<string>'}],
trafficAllowanceBytes: 1,
deviceLimit: 1,
squadIDs: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
recurringCapable: true,
gracePeriodSeconds: 0,
trialEligibility: 'new_customer'
})
};
fetch('https://api.example.com/v1/admin/plans/{planID}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/admin/plans/{planID}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'durationSeconds' => 2,
'prices' => [
[
'amountMinor' => 1,
'currency' => '<string>'
]
],
'trafficAllowanceBytes' => 1,
'deviceLimit' => 1,
'squadIDs' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'recurringCapable' => true,
'gracePeriodSeconds' => 0,
'trialEligibility' => 'new_customer'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/admin/plans/{planID}/versions"
payload := strings.NewReader("{\n \"durationSeconds\": 2,\n \"prices\": [\n {\n \"amountMinor\": 1,\n \"currency\": \"<string>\"\n }\n ],\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"recurringCapable\": true,\n \"gracePeriodSeconds\": 0,\n \"trialEligibility\": \"new_customer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/admin/plans/{planID}/versions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"durationSeconds\": 2,\n \"prices\": [\n {\n \"amountMinor\": 1,\n \"currency\": \"<string>\"\n }\n ],\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"recurringCapable\": true,\n \"gracePeriodSeconds\": 0,\n \"trialEligibility\": \"new_customer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/admin/plans/{planID}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"durationSeconds\": 2,\n \"prices\": [\n {\n \"amountMinor\": 1,\n \"currency\": \"<string>\"\n }\n ],\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"recurringCapable\": true,\n \"gracePeriodSeconds\": 0,\n \"trialEligibility\": \"new_customer\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"kind": "<string>",
"versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}catalog
Post v1adminplans versions
POST
/
v1
/
admin
/
plans
/
{planID}
/
versions
cURL
curl --request POST \
--url https://api.example.com/v1/admin/plans/{planID}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"durationSeconds": 2,
"prices": [
{
"amountMinor": 1,
"currency": "<string>"
}
],
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"recurringCapable": true,
"gracePeriodSeconds": 0,
"trialEligibility": "new_customer"
}
'import requests
url = "https://api.example.com/v1/admin/plans/{planID}/versions"
payload = {
"durationSeconds": 2,
"prices": [
{
"amountMinor": 1,
"currency": "<string>"
}
],
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"recurringCapable": True,
"gracePeriodSeconds": 0,
"trialEligibility": "new_customer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
durationSeconds: 2,
prices: [{amountMinor: 1, currency: '<string>'}],
trafficAllowanceBytes: 1,
deviceLimit: 1,
squadIDs: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
recurringCapable: true,
gracePeriodSeconds: 0,
trialEligibility: 'new_customer'
})
};
fetch('https://api.example.com/v1/admin/plans/{planID}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/admin/plans/{planID}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'durationSeconds' => 2,
'prices' => [
[
'amountMinor' => 1,
'currency' => '<string>'
]
],
'trafficAllowanceBytes' => 1,
'deviceLimit' => 1,
'squadIDs' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'recurringCapable' => true,
'gracePeriodSeconds' => 0,
'trialEligibility' => 'new_customer'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/admin/plans/{planID}/versions"
payload := strings.NewReader("{\n \"durationSeconds\": 2,\n \"prices\": [\n {\n \"amountMinor\": 1,\n \"currency\": \"<string>\"\n }\n ],\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"recurringCapable\": true,\n \"gracePeriodSeconds\": 0,\n \"trialEligibility\": \"new_customer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/admin/plans/{planID}/versions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"durationSeconds\": 2,\n \"prices\": [\n {\n \"amountMinor\": 1,\n \"currency\": \"<string>\"\n }\n ],\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"recurringCapable\": true,\n \"gracePeriodSeconds\": 0,\n \"trialEligibility\": \"new_customer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/admin/plans/{planID}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"durationSeconds\": 2,\n \"prices\": [\n {\n \"amountMinor\": 1,\n \"currency\": \"<string>\"\n }\n ],\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"recurringCapable\": true,\n \"gracePeriodSeconds\": 0,\n \"trialEligibility\": \"new_customer\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"kind": "<string>",
"versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
none, day, week, month, quarter, half_year, year, custom Required range:
x >= 1Available options:
forbid, replace, extend Available options:
forbid, immediate, at_expiry Available options:
forbid, immediate, at_expiry Minimum array length:
1Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Access retained after expiry so a customer can still renew
Required range:
x >= 0Who may activate this version when the plan kind is trial
Available options:
new_customer, never_trialled, any